# $Revision: 1.17 $, $Date: 2010/03/31 11:31:48 $
#
# TODO:
#  - do something with *.rdf file, there is file conflict with other lang packages
#
Summary:	Polish resources for Icedove
Summary(pl.UTF-8):	Polskie pliki językowe dla Icedove
Name:		icedove-lang-pl
Version:	3.0.4
Release:	1
License:	GPL
Group:		I18n
Source0:	http://releases.mozilla.org/pub/mozilla.org/thunderbird/releases/%{version}/linux-i686/xpi/pl.xpi
# Source0-md5:	0d83cfe69ddbc19e927ace474ca6fd7f
URL:		http://www.thunderbird.pl/
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	zip
Requires:	icedove >= %{version}
Provides:	icedove-lang-resources = %{version}
Obsoletes:	mozilla-thunderbird-lang-pl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_icedovedir	%{_datadir}/icedove
%define		_chromedir	%{_icedovedir}/chrome

%description
Polish resources for Icedove.

%description -l pl.UTF-8
Polskie pliki językowe dla Icedove.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_icedovedir}/{defaults/profile,searchplugins}}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/pl.jar $RPM_BUILD_ROOT%{_chromedir}/pl-PL.jar
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_icedovedir}/defaults/profile
#mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
cat $RPM_BUILD_ROOT%{_libdir}/chrome.manifest | sed 's: pl : pl-PL :g; s:chrome/pl:pl-PL:g ' \
	> $RPM_BUILD_ROOT%{_chromedir}/pl-PL.manifest
# rebrand locale for iceweasel
cd $RPM_BUILD_ROOT%{_chromedir}
unzip pl-PL.jar locale/pl/branding/brand.dtd locale/pl/branding/brand.properties \
	locale/pl/messenger/aboutDialog.dtd \
	locale/pl/messenger-newsblog/newsblog.properties
sed -i -e 's/Mozilla Thunderbird/Icedove/g; s/Thunderbird/Icedove/g;' \
	locale/pl/branding/brand.dtd locale/pl/branding/brand.properties
sed -i -e 's/Thunderbird/Icedove/g;' locale/pl/messenger-newsblog/newsblog.properties
grep -e '\<ENTITY' locale/pl/messenger/aboutDialog.dtd \
	> locale/pl/messenger/aboutDialog.dtd.new
sed -i -e '/copyrightText/s/^\(.*\)\..*Thunderbird.*/\1\./g; s/\r//g; /copyrightText/s/$/" >/g;' \
	locale/pl/messenger/aboutDialog.dtd.new
mv -f locale/pl/messenger/aboutDialog.dtd.new locale/pl/messenger/aboutDialog.dtd
zip -0 pl-PL.jar locale/pl/branding/brand.dtd locale/pl/branding/brand.properties \
	locale/pl/messenger/aboutDialog.dtd \
	locale/pl/messenger-newsblog/newsblog.properties
rm -f locale/pl/branding/brand.dtd locale/pl/branding/brand.properties \
	locale/pl/messenger/aboutDialog.dtd \
	locale/pl/messenger-newsblog/newsblog.properties

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat << 'EOF'
NOTE: You must also change your default useragent locale:
  Open Icedove and go to Edit>Preferences>Advenced>General>Config Editor then
  find "general.useragent.locale" and change value
  to "pl-PL" then restart Icedove.

EOF

%files
%defattr(644,root,root,755)
%{_chromedir}/pl-PL.jar
%{_chromedir}/pl-PL.manifest
#%{_chromedir}/chromelist.txt
%{_icedovedir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icedove-lang-pl.spec,v $
Revision 1.17  2010/03/31 11:31:48  duddits
- up to 3.0.4

Revision 1.16  2010/03/02 11:06:02  duddits
- up to 3.0.3

Revision 1.15  2010/02/26 11:29:08  duddits
- up to 3.0.2

Revision 1.14  2010/02/16 13:05:51  duddits
- rel. 2, fix build

Revision 1.13  2010/02/16 11:42:23  duddits
- up to 3.0.1

Revision 1.12  2009/08/20 19:02:09  duddits
- up to 2.0.0.23

Revision 1.11  2009/06/23 13:48:18  duddits
- up to 2.0.0.22

Revision 1.10  2009/03/19 07:44:44  duddits
- up to 2.0.0.21

Revision 1.9  2008/12/31 16:13:36  duddits
- up to 2.0.0.19

Revision 1.8  2008/12/27 18:50:30  dzeus
- up to 2.0.0.18

Revision 1.7  2008/09/29 14:25:52  duddits
- up to 2.0.0.17

Revision 1.6  2008/09/06 11:38:18  hawk
- updated to 2.0.0.16

Revision 1.5  2008/08/10 21:15:38  paszczus
- release 4

Revision 1.4  2008/08/10 20:19:44  paszczus
- added info about setting pl lang

Revision 1.3  2008/06/26 19:30:02  hawk
- O: for mozilla-thunderbird-lang

Revision 1.2  2008/06/26 11:42:50  hawk
- small fix, release 2

Revision 1.1  2008/06/26 10:32:25  hawk
- language pack for Icedove

